## ros-indigo-ndt-visualisation 1.0.30

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
set(CMAKE_BUILD_TYPE Release) 
project(ndt_visualisation)
# Load catkin and all dependencies required for this package
find_package(cmake_modules REQUIRED)
find_package(Eigen REQUIRED)
find_package(catkin REQUIRED COMPONENTS ndt_map pcl_ros)
catkin_package(
    DEPENDS libpcl-all-dev eigen glut opengl#libxmu-dev mrpt 
    CATKIN_DEPENDS ndt_map pcl_ros message_runtime
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
)
set(CMAKE_CXX_FLAGS "-fPIC ${CMAKE_CXX_FLAGS}")

#find_package(LibXml2 REQUIRED)
#include_directories(${LIBXML2_INCLUDE_DIR})
#ADD_DEFINITIONS(-DLINUX_OS)
#find_package(GLU REQUIRED)
#find_package(JPEG REQUIRED)
#FIND_PACKAGE(MRPT REQUIRED gui;base;opengl)
#include_directories(${JPEG_INCLUDE_DIR})

find_package(OpenGL REQUIRED)
find_package(GLUT REQUIRED)
include_directories(${GLUT_INCLUDE_DIR})
include_directories(${OPENGL_INCLUDE_DIR})
include_directories(include)
include_directories(${catkin_INCLUDE_DIRS})

#FIND_PACKAGE(MRPT REQUIRED graphslam;gui)

#uncomment if you have defined messages
#add_message_files(
#  FILES
  # TODO: List your msg files here
#)
#uncomment if you have defined services
#add_service_files(
#  FILES
  # TODO: List your msg files here
#)

#common commands for building c++ executables and libraries
find_package(Boost REQUIRED COMPONENTS program_options thread)
include_directories(${Boost_INCLUDE_DIRS})

add_library(${PROJECT_NAME}  src/NDTVizGlut.cc)
target_link_libraries(${PROJECT_NAME} ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES} ${catkin_LIBRARIES}) #${JPEG_LIBRARIES} ${LIBXML2_LIBRARIES} ${MRPT_LIBS} 


add_executable(ndt_viewer src/ndt_viewer.cc)
target_link_libraries(ndt_viewer ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${PROJECT_NAME}) # ${MRPT_LIBS} ${JPEG_LIBRARIES} ${LIBXML2_LIBRARIES} ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES} 

#add_executable(glut_test src/glut_test.cc)
#target_link_libraries(glut_test ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

# add_executable(glut3d_test src/glut3d_test.cc)
# target_link_libraries(glut3d_test ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${PROJECT_NAME})

#target_link_libraries(${PROJECT_NAME} another_library)
#
# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_add_boost_directories()
#target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES})
#target_link_libraries(example ${PROJECT_NAME})
## Generate added messages and services with any dependencies listed here
#generate_messages(
    #TODO DEPENDENCIES geometry_msgs std_msgs
#)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
#install(TARGETS ndt_viewer ${PROJECT_NAME}
install(TARGETS ndt_viewer ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
       )

install(DIRECTORY include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
       )

=== debian/changelog ===
ros-indigo-ndt-visualisation (1.0.30-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 08 Oct 2015 22:00:00 -0000

ros-indigo-ndt-visualisation (1.0.29-0trusty) trusty; urgency=high

  * Fixed transform error in the orbit camera.
  * Added check to avoid duplicate drawing objects.
  * Added new functionalities to the visualization class.
  *removed dependency on mrpt
  * Contributors: Henrik Andreasson, Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 07 Oct 2015 22:00:00 -0000

ros-indigo-ndt-visualisation (1.0.28-0trusty) trusty; urgency=high

  * added opengl and image_transport as deps
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 04 Dec 2014 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.27-0trusty) trusty; urgency=high

  * fixes to package.xml files
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 04 Dec 2014 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.26-0trusty) trusty; urgency=high

  * small fix to package.xmls and an update of visualization
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Tue, 02 Dec 2014 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.25-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Sun, 30 Nov 2014 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.24-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Mon, 24 Nov 2014 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.23-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Mon, 24 Nov 2014 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.20-0trusty) trusty; urgency=high

  * removing mrpt dependency
  * Added NDTViz into a thread.
  * Added the glut NDT visualizer.
  * Contributors: Henrik Andreasson, Martin Magnusson, RVC, Todor Stoyanov, Tomasz Kucner, Tomasz Kuncer

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 20 Nov 2014 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.18-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Tue, 08 Apr 2014 22:00:00 -0000

ros-indigo-ndt-visualisation (1.0.15-0trusty) trusty; urgency=high

  * fixes to makefiles wrt pcl
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 08 Jan 2014 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.13-0trusty) trusty; urgency=high

  * fixing mess with pcl compatibility
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 08 Jan 2014 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.12-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Mon, 02 Dec 2013 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.10-0trusty) trusty; urgency=high

  * backward compatible CMyellipsoid
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Mon, 02 Dec 2013 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.9-0trusty) trusty; urgency=high

  * removed deprecated dependancy on mrpt-graphslam
  * hydro release
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Sun, 01 Dec 2013 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.8-0trusty) trusty; urgency=high

  * "1.0.8"
  * changelogs updated
  * Removed legacy dependency to mrpt-graphslam
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Sun, 01 Dec 2013 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.7-0trusty) trusty; urgency=high

  * "1.0.7"
  * changelogs update
  * Added release flags to all CMake files
  * Re-organization of include files to follow ros convention, lots of changes
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 23:00:00 -0000

ros-indigo-ndt-visualisation (1.0.6-0trusty) trusty; urgency=high

  * "1.0.6"
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 19:13:00 -0000

ros-indigo-ndt-visualisation (1.0.5-0trusty) trusty; urgency=high

  * "1.0.5"
  * now glut xmu issue, this will never end
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 18:52:00 -0000

ros-indigo-ndt-visualisation (1.0.4-0trusty) trusty; urgency=high

  * "1.0.4"
  * trying to add glut as well, situation is not good
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 18:40:00 -0000

ros-indigo-ndt-visualisation (1.0.3-0trusty) trusty; urgency=high

  * "1.0.3"
  * prepairing for second release candidate
  * rosdeps are now handled through catkin, hopefully mrpt as well
  * CMake files fixed to output in the correct place
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 18:26:00 -0000

ros-indigo-ndt-visualisation (1.0.2-0trusty) trusty; urgency=high

  * "1.0.2"
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 12:58:00 -0000

ros-indigo-ndt-visualisation (1.0.1-0trusty) trusty; urgency=high

  * "1.0.1"
  * added changelog files to stream
  * removed message gen that was not needed and generating scary warnings
  * remove depreciated dependencies
  * the removal of rosbuild remains
  * compiled packages ndt_fuser  ndt_map  ndt_map_builder  ndt_mcl  ndt_registration  ndt_visualisation  perception_oru  pointcloud_vrml
  * Contributors: Todor Stoyanov, Tomasz Kuncer

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 11:33:00 -0000

=== debian/control ===
Source: ros-indigo-ndt-visualisation
Section: misc
Priority: extra
Maintainer: Jari Saarinen <jari.p.saarinen@gmail.com>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libpcl-1.7-all-dev, libxi-dev, libxmu-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-ndt-map, ros-indigo-pcl-ros
Homepage: http://ros.org/wiki/ndt_visualization
Standards-Version: 3.9.2

Package: ros-indigo-ndt-visualisation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libpcl-1.7-all-dev, ros-indigo-message-runtime, ros-indigo-ndt-map, ros-indigo-pcl-ros
Description: Contains classes for creating an ndt visualization window. Initial implementation on top of mrpt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ndt-visualisation//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
